aboutsummaryrefslogtreecommitdiff
path: root/local/bin
diff options
context:
space:
mode:
authorCharles Cabergs <me@cacharle.xyz>2024-10-19 11:25:51 +0200
committerCharles Cabergs <me@cacharle.xyz>2024-10-19 11:25:54 +0200
commitaa42f2969717eda2e4c9d99943e9b5ee49249183 (patch)
tree658a1960c315a69ed2fc3c4957f8a1698bcd0999 /local/bin
parentadac84227102a191866c46f63a719e6634c6c4ae (diff)
downloaddotfiles-aa42f2969717eda2e4c9d99943e9b5ee49249183.tar.gz
dotfiles-aa42f2969717eda2e4c9d99943e9b5ee49249183.tar.bz2
dotfiles-aa42f2969717eda2e4c9d99943e9b5ee49249183.zip
Add junk and latest-recording scripts
Diffstat (limited to 'local/bin')
-rwxr-xr-xlocal/bin/junk19
-rwxr-xr-xlocal/bin/latest-recording7
2 files changed, 26 insertions, 0 deletions
diff --git a/local/bin/junk b/local/bin/junk
new file mode 100755
index 0000000..faf9b32
--- /dev/null
+++ b/local/bin/junk
@@ -0,0 +1,19 @@
+#!/bin/sh
+
+set -e
+
+junk_dir="$HOME/data/junk"
+[ ! -d "$junk_dir" ] && mkdir "$junk_dir"
+
+for arg in "$@"
+do
+ dest="$junk_dir/$arg"
+ if [ -e "$dest" ]
+ then
+ echo "$dest already exists, generating a prefix"
+ identifier="$(seq 100 | xargs -I N sh -c "echo N; test -e '$dest__N' || exit 255" 2> /dev/null | tail -n1)"
+ dest="$dest"__"$identifier"
+ fi
+ mv "$arg" "$dest" &&
+ echo "$arg moved to $dest" || true
+done
diff --git a/local/bin/latest-recording b/local/bin/latest-recording
new file mode 100755
index 0000000..619fa50
--- /dev/null
+++ b/local/bin/latest-recording
@@ -0,0 +1,7 @@
+#!/bin/sh
+
+set -e
+
+recordings_dir="$HOME/recordings"
+latest_recording="$(ls "$recordings_dir" | sort --numeric-sort | tail -n1)"
+echo "$latest_recording"